POST http://webapi.mymarketing.co.il/api/webhooks/Test
Send a test request with a given url and parameters
Request Information
URI Parameters
Body Parameters
Name
Description
Type
Additional information
url
string
Request Formats
application/json, text/json
Sample:
{
"url": "sample string 1",
"event_type": "contact_change",
"target_type": "zapier",
"parameters": [
{
"key": "sample string 1",
"value": "sample string 2",
"event_parameter_type": "header"
},
{
"key": "sample string 1",
"value": "sample string 2",
"event_parameter_type": "header"
}
]
}
application/xml, text/xml
Sample:
<ApiEventTestData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ActiveTrail.RESTfulApi.Models">
<event_type>contact_change</event_type>
<parameters>
<ApiEventParameterTestData>
<event_parameter_type>header</event_parameter_type>
<key>sample string 1</key>
<value>sample string 2</value>
</ApiEventParameterTestData>
<ApiEventParameterTestData>
<event_parameter_type>header</event_parameter_type>
<key>sample string 1</key>
<value>sample string 2</value>
</ApiEventParameterTestData>
</parameters>
<target_type>zapier</target_type>
<url>sample string 1</url>
</ApiEventTestData>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Name
Description
Type
Additional information
status_code
integer
status_name
string
response_message
string
Response Formats
application/json, text/json
Sample:
{
"status_code": 1,
"status_name": "sample string 2",
"response_message": "sample string 3"
}
application/xml, text/xml
Sample:
<ApiEventTestResultInfo xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ActiveTrail.RESTfulApi.Models"> <response_message>sample string 3</response_message> <status_code>1</status_code> <status_name>sample string 2</status_name> </ApiEventTestResultInfo>